---
name: Bug report
about: Report a bug with pact-node
title: ''
labels: bug
assignees: ''

---

_Thank you for reporting a bug! We appreciate it very much. Issues are a big input into the priorities for Pact development_

_All italic text in this template is safe to remove before submitting_

_Thanks again!_

### Software versions

_Please provide at least OS and version of pact-js_

- **OS**: _e.g. Mac OSX 10.11.5_
- **Pact Node version**: _e.g. Pact Node v2.6.0_
- **Node Version**: `node --version`
- **Other Versions**: _Any other versions you think might be relevant (optional)_

### Issue Checklist

Please confirm the following:

- [ ] I have upgraded to the latest
- [ ] I have the read the FAQs in the Readme
- [ ] I have triple checked, that there are **no unhandled promises** in my code
- [ ] I have set my log level to debug and attached a log file showing the complete request/response cycle
- [ ] For bonus points and virtual high fives, I have created a reproduceable git repository (see below) to illustrate the problem

### Expected behaviour

_fill in here_

### Actual behaviour

_fill in here_

### Steps to reproduce

_How can someone else reproduce this bug?_

_For extra bonus points and internet karma, provide a repository, gist or reproducible code snippet so that we can test the problem._

_We recommend forking the project and modifying a relevant example [in the examples folder](https://github.com/pact-foundation/pact-js/blob/master/examples)_

### Relevant log files

_Please ensure you set logging to `DEBUG` and attach any relevant log files here (or link to a gist)._
