"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pino = require("pino");
const pkg = require('../package.json');
const DEFAULT_LEVEL = (process.env.LOGLEVEL || 'info');
const createLogger = (level = DEFAULT_LEVEL) => pino({
    level: level.toLowerCase(),
    prettyPrint: {
        messageFormat: `pact@${pkg.version}: {msg}`,
        translateTime: true,
    },
});
const logger = createLogger();
exports.setLogLevel = (wantedLevel) => {
    if (wantedLevel) {
        logger.level =
            typeof wantedLevel === 'string'
                ? wantedLevel.toLowerCase()
                : logger.levels.labels[wantedLevel];
    }
    return logger.levels.values[logger.level];
};
exports.verboseIsImplied = () => logger.level === 'trace' || logger.level === 'debug';
exports.default = logger;
//# sourceMappingURL=logger.js.map