"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const spawn_1 = require("./spawn");
const service_1 = require("./service");
const util_1 = require("util");
const pact_standalone_1 = require("./pact-standalone");
const checkTypes = require('check-types');
class Stub extends service_1.AbstractService {
    constructor(options) {
        options = options || {};
        options.pactUrls = options.pactUrls || [];
        if (options.pactUrls) {
            checkTypes.assert.array.of.string(options.pactUrls);
        }
        checkTypes.assert.not.emptyArray(options.pactUrls);
        super(`${pact_standalone_1.default.stubPath}`, options, {
            pactUrls: spawn_1.DEFAULT_ARG,
            port: '--port',
            host: '--host',
            log: '--log',
            logLevel: '--log-level',
            ssl: '--ssl',
            sslcert: '--sslcert',
            sslkey: '--sslkey',
            cors: '--cors',
        });
        this.options = options;
    }
}
Stub.create = util_1.deprecate((options) => new Stub(options), 'Create function will be removed in future release, please use the default export function or use `new Stub()`');
exports.Stub = Stub;
exports.default = (options) => new Stub(options);
//# sourceMappingURL=stub.js.map